﻿@model IEnumerable<Auction.DataAccessLayer.Entities.Shop.Category>

@{
    ViewBag.Title = "Edit categories";
}

<h2>Edit categories</h2>
<div>@Html.ActionLink("Create", "Create", "Category")</div>
@if (!Model.Any())
{
    <p>No categories</p>
}
else
{
    <div class="category-edit-wrapper">
        @foreach (var category in Model)
        {
            <div class="category-edit-item">
                <div class="name-image">
                    <h3>@category.Name</h3>
                    <div class="image-wrapper">
                        <img src="@category.ImageUrl" alt="category image"/>
                    </div>
                </div>
                <div class="edit-description">@category.ShortDescription</div>
                <div class="control-wrapper">
                    <div>Details</div>
                    <div>@Html.ActionLink("Edit", "Edit", "Category", new{categoryId = category.CategoryId}, null )</div>
                    <div>@Html.ActionLink("Delete", "Delete", "Category", new {categoryId = category.CategoryId}, null)</div>
                </div>
            </div>
        }
    </div>
}